Package ghidra.sleigh.grammar

# Class SleighToken

java.lang.Object
org.antlr.runtime.CommonToken
ghidra.sleigh.grammar.SleighToken

All Implemented Interfaces:
  `Serializable`, `org.antlr.runtime.Token`

public class SleighToken extends org.antlr.runtime.CommonToken

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.antlr.runtime.CommonToken

  `channel, charPositionInLine, index, input, line, start, stop, text, type`

  ### Fields inherited from interface org.antlr.runtime.Token

  `DEFAULT_CHANNEL, DOWN, EOF, EOR_TOKEN_TYPE, HIDDEN_CHANNEL, INVALID_TOKEN, INVALID_TOKEN_TYPE, MIN_TOKEN_TYPE, SKIP_TOKEN, UP`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SleighToken(int type)`
  `SleighToken(int type, int line, int charPos)`
  `SleighToken(int type, String text)`
  `SleighToken(org.antlr.runtime.CharStream input, int type, int channel, int start, int stop)`
  `SleighToken(org.antlr.runtime.Token oldToken)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Location`
  `getLocation()`
  `void`
  `setLocation(Location location)`
  `String`
  `toString()`

  ### Methods inherited from class org.antlr.runtime.CommonToken

  `getChannel, getCharPositionInLine, getInputStream, getLine, getStartIndex, getStopIndex, getText, getTokenIndex, getType, setChannel, setCharPositionInLine, setInputStream, setLine, setStartIndex, setStopIndex, setText, setTokenIndex, setType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SleighToken

    public SleighToken(org.antlr.runtime.CharStream input, int type, int channel, int start, int stop)

  - ### SleighToken

    public SleighToken(int type, String text)

  - ### SleighToken

    public SleighToken(int type)

  - ### SleighToken

    public SleighToken(int type, int line, int charPos)

  - ### SleighToken

    public SleighToken(org.antlr.runtime.Token oldToken)

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `org.antlr.runtime.CommonToken`

  - ### getLocation

    public Location getLocation()

  - ### setLocation

    public void setLocation(Location location)